<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <TargetFramework>netstandard2.1</TargetFramework>
    </PropertyGroup>

    <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
        <LangVersion>latest</LangVersion>
        <WarningLevel>1</WarningLevel>
        <NoWarn>1701;1702;1705;NU1701;</NoWarn>
        <DefineConstants>TRACE;DEBUG;NETSTANDARD2_0;NOT_UNITY3D;JETBRAINS_ANNOTATIONS;ENABLE_PLAYFABSERVER_API;ZEN_MULTITHREADING</DefineConstants>
        <DebugSymbols>true</DebugSymbols>
        <DebugType>embedded</DebugType>
        <OutputPath>../../Client/Assets/Plugins/Frostgate.GangHeroes.Matchmaker.Messaging</OutputPath>
    </PropertyGroup>

    <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
        <LangVersion>latest</LangVersion>
        <WarningLevel>1</WarningLevel>
        <NoWarn>1701;1702;1705;NU1701;</NoWarn>
        <OutputPath>../../Client/Assets/Plugins/Frostgate.GangHeroes.Matchmaker.Messaging\</OutputPath>
    </PropertyGroup>

    <ItemGroup>
      <PackageReference Include="JetBrains.Annotations" Version="2022.1.0" />
    </ItemGroup>

    <ItemGroup>
      <ProjectReference Include="..\Frostgate.GangHeroes.Matchmaker.Common\Frostgate.GangHeroes.Matchmaker.Common.csproj" />
    </ItemGroup>

</Project>
